Skip to main content
GET
/
v1
/
users
/
{user_id}
Retrieve a user
curl --request GET \
  --url https://prod.truv.com/v1/users/{user_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "24d7e80942ce4ad58a93f70ce4115f5c",
  "external_user_id": "12345",
  "created_at": "2022-05-04T11:30:00.000Z",
  "updated_at": "2022-05-04T12:00:00.000Z",
  "first_name": "John",
  "last_name": "Doe",
  "email": "john.doe@example.com",
  "phone": "+14155554193",
  "ssn": "222233333",
  "links": [
    {
      "id": "48427a36d43c4d5aa6324bc06c692456",
      "access_token": "****************************7610",
      "created_at": "2022-06-07T15:00:00.000Z",
      "updated_at": "2022-06-30T15:00:00.000Z",
      "deleted_at": "2022-06-30T15:00:00.000Z",
      "tracking_info": "user123456",
      "status": "new",
      "user_external_id": "user123456",
      "provider_id": "adp",
      "provider": {
        "id": "adp",
        "name": "ADP",
        "logo_url": "<string>"
      },
      "company_mapping": {
        "id": "meta",
        "name": "Meta",
        "logo_url": "<string>"
      },
      "link_hash": "bc917458a3da4b2c8cc8282aa1707aaa",
      "allowed_products": [
        "income"
      ],
      "initial_product_type": "income",
      "data_source": "payroll",
      "is_suspicious": true,
      "is_dds_available": true
    }
  ],
  "voie_report_id": "b19c454a98594b4084b71e3b62873d29",
  "voa_report_id": "b19c454a98594b4084b71e3b62873d29",
  "income_insights_report_id": "b19c454a98594b4084b71e3b62873d29",
  "aim_check_report_id": "FM-1234-39aa1486ccca4bc19cda071ffc1ba392"
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

user_id
string
required

Query Parameters

When set to true, adds the payload from the account links endpoint.

Response

id
string
required
read-only

Unique identifier of the user.

Maximum string length: 32
Example:

"24d7e80942ce4ad58a93f70ce4115f5c"

external_user_id
string | null
required

External user id.

Example:

"12345"

created_at
string<date-time>
required
read-only

Timestamp when the user was created.

Example:

"2022-05-04T11:30:00.000Z"

updated_at
string<date-time>
required
read-only

Timestamp when the user was updated last time.

Example:

"2022-05-04T12:00:00.000Z"

first_name
string

First name of the user.

Example:

"John"

last_name
string

Last name of the user.

Example:

"Doe"

email
string<email> | null

User's email.

Example:

"john.doe@example.com"

phone
string | null

User's phone number.

Example:

"+14155554193"

ssn
string

User's SSN.

Example:

"222233333"

List of account Links associated with the user.

voie_report_id
string | null

GSE accepted income and employment verification report ID

Example:

"b19c454a98594b4084b71e3b62873d29"

voa_report_id
string | null

Verification of Assets report ID

Example:

"b19c454a98594b4084b71e3b62873d29"

income_insights_report_id
string | null

Income insights report ID

Example:

"b19c454a98594b4084b71e3b62873d29"

aim_check_report_id
string | null

AIM check report ID

Example:

"FM-1234-39aa1486ccca4bc19cda071ffc1ba392"